image: ubuntu:18.04

stages:
  - test
  - sast
  - dast
  - secret

unit_test:
  stage: test
  script:
    - echo "Stub for regular unit-tests"

include:
    - template: Security/SAST.gitlab-ci.yml
    - template: DAST.gitlab-ci.yml
    - template: Dependency-Scanning.gitlab-ci.yml
    - template: Security/Secret-Detection.gitlab-ci.yml

variables:
  DAST_WEBSITE: https://example.com




